Bug 914793 - Review Request: python-kajiki - Really fast well-formed xml templates
Summary: Review Request: python-kajiki - Really fast well-formed xml templates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 828254
TreeView+ depends on / blocked
 
Reported: 2013-02-22 19:06 UTC by Ralph Bean
Modified: 2013-03-25 18:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-28 00:53:57 UTC
Type: ---
terjeros: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2013-02-22 19:06:48 UTC
Spec URL: http://ralph.fedorapeople.org//python-kajiki.spec
SRPM URL: http://ralph.fedorapeople.org//python-kajiki-0.3.5-1.fc18.src.rpm

Description:
Are you tired of the slow performance of Genshi? But you still long for the
assurance that your output is well-formed that you miss from all those
other templating engines? Do you wish you had Jinja's blocks with Genshi's
syntax? Then look  no further, Kajiki is for you! Kajiki quickly compiles
Genshi-like syntax to *real python bytecode* that renders with blazing-fast
speed! Don't delay! Pick up your copy of Kajiki today!

Comment 1 Ralph Bean 2013-02-22 19:06:52 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5045004

Comment 2 Terje Røsten 2013-02-27 18:56:49 UTC
Summary:
--------
- package is good except license issues:
a) would be good if upstream had more license info than a single word in
setup.py.
b) would be nice to include the license text in full
c) and license header in each source would be good too.
d) lnotab.py has the following:
# Comment copied from Python/compile.c:
#
# All about a_lnotab.
# ...

Not sure about license of comments.

Comment?

pedantic: some unwanted extra empty lines in spec file.


Full review:
------------

[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package -n
     python3-kajiki
[x]: Package complies to the Packaging Guidelines.
     Some extra space some places, nothing major.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license.
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[-]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces. Just spelling, ignore.
[x]: Sources used to build the package match the upstream source, as provided in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
[x]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms
[x]: %check is present and all tests pass.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: python-kajiki-0.3.5-1.fc18.src.rpm
          python-kajiki-0.3.5-1.fc18.noarch.rpm
python-kajiki.src: W: spelling-error Summary(en_US) xml -> XML, ml, x ml
python-kajiki.src: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
python-kajiki.src: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
python-kajiki.noarch: W: spelling-error Summary(en_US) xml -> XML, ml, x ml
python-kajiki.noarch: W: spelling-error %description -l en_US templating -> contemplating, template, tempting
python-kajiki.noarch: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, decorate
2 packages and 0 specfiles checked; 0 errors, 6 warnings.


http://pypi.python.org/packages/source/K/Kajiki/Kajiki-0.3.5.tar.gz :
  CHECKSUM(SHA256) this package     : 3a8e95a4ee2c8ea716bfbe0d26e389fa11a92de0adda9513b570a061b7bc4a0f
  CHECKSUM(SHA256) upstream package : 3a8e95a4ee2c8ea716bfbe0d26e389fa11a92de0adda9513b570a061b7bc4a0f

Comment 3 Ralph Bean 2013-02-27 20:15:00 UTC
I submitted a pull request with the full text of the MIT license:
https://sourceforge.net/p/kajiki/mercurial/merge-requests/2/

Also, I opened a ticket about the license headers and the comment licensing:
https://sourceforge.net/p/kajiki/tickets/33/

I can take care of those extra empty lines before import.  Are there any other issues standing in the way of approval?

Comment 4 Terje Røsten 2013-02-27 20:42:00 UTC
Nice! Thanks for quick reply.

Package python-kajiki is APPROVED.

Comment 5 Ralph Bean 2013-02-27 21:31:19 UTC
New Package SCM Request
=======================
Package Name: python-kajiki
Short Description: Really fast well-formed xml templates
Owners: ralph
Branches: f17 f18 el6
InitialCC:

Comment 6 Gwyn Ciesla 2013-02-27 21:35:41 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-02-28 00:44:21 UTC
python-kajiki-0.3.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-kajiki-0.3.5-1.fc18

Comment 8 Fedora Update System 2013-02-28 00:44:46 UTC
python-kajiki-0.3.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-kajiki-0.3.5-1.fc17

Comment 9 Fedora Update System 2013-02-28 00:45:09 UTC
python-kajiki-0.3.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-kajiki-0.3.5-1.el6

Comment 10 Fedora Update System 2013-03-19 20:02:15 UTC
python-kajiki-0.3.5-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 11 Fedora Update System 2013-03-19 20:06:46 UTC
python-kajiki-0.3.5-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 12 Fedora Update System 2013-03-25 18:51:22 UTC
python-kajiki-0.3.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.